.footer_main_parent1 {
    width: 100%;
    padding: 2rem;
    background-color: var(--primary-footer-background-color);
}

.footer_main_parent2 {
    width: 100%;
    padding: 0.5rem;
    background-color: var(--secondary-footer-background-color);
}

.footer_main_child1 {
    width: 100%;
    max-width: 1600px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1%;
    justify-content: center;
}


.footer_main_child1 .child1_left {
    width: 100%;
    padding: 30px 0;
}


.footer-subscribe-button-style {
    border-radius: 5px;
    margin: 20px 0 20px 0;
    display: flex;
    gap: 1%;
    width: 80%;

}

.footer-subscribe-input::placeholder {
    color: #D1D1D1;
    font-size: 12px;
    font-weight: 400;
    line-height: 16px;
    text-align: left;

}

.footer-subscribe-input:focus {
    outline: 2px solid var(--primary-color);
    border: 2px solid var(--primary-color);
}

.footer_main_child1 .child1_left .paragraph {
    font-size: 14px;
    font-weight: 600;
    line-height: 21px;
    text-align: left;
    color: var(--secondary-color);
}

.footer-subscribe-button {
    background: linear-gradient(90deg, #EC212C 0%, #396BA9 100%);
}

.footer_main_child1 .child1_center,
.footer_main_child1 .child1_right {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

.child1_center .child1_center1 .heading,
.child1_center .child1_center2 .heading,
.child1_right .child1_right1 .heading,
.child1_right .child1_right2 .heading {
    font-size: 19px;
    font-weight: 600;
    line-height: 28.5px;
    text-align: left;
    color: var(--secondary-color);
}

.footer_main_child1 .child1_center ul li,
.footer_main_child1 .child1_center ul li a,
.footer_main_child1 .child1_right ul li,
.footer_main_child1 .child1_right ul li a {
    font-size: 15px;
    font-weight: 600;
    line-height: 22.5px;
    text-align: left;
    color: var(--secondary-color);
    margin-top: 10px;
}

.footer_main_child1 .child1_center ul li,
.footer_main_child1 .child1_right ul li {
    list-style: none;
}



.footer_main_child1 .child1_center ul li a,
.footer_main_child1 .child1_right ul li a {
    text-decoration: none;
}

.footer_main_child1 .child1_center ul,
.footer_main_child1 .child1_right ul {
    padding-left: 0;
    margin-left: 0;
}

.footer_main_parent2 .footer_main_child2 {
    width: 100%;
    display: flex;
    justify-content: space-around;
    max-width: 1600px;
    margin: auto;
}

.footer_main_child2 .footer-contact-icons-parent {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.footer_main_child2 .footer-contact-icons,
.footer_main_parent2 .footer_main_child2 .paragraph a {
    color: var(--secondary-color);
    text-decoration: none;
}

.footer-contact-icons-parent li {
    margin: 0 1rem;
}

.footer_main_parent2 .footer_main_child2 .paragraph {
    font-size: 19px;
    font-weight: 500;
    line-height: 28.5px;
    text-align: left;
    color: var(--secondary-color);
}


@media (max-width: 576px) {
    .footer_main_parent1 {
        padding: 0.5rem;
    }

    .footer_main_child1 .child1_left {
        width: 100%;
        padding: 10px 0;
    }

    .footer_main_child1 {
        grid-template-columns: repeat(1, 1fr);
    }


    .footer_main_parent2 .footer_main_child2 {
        flex-direction: column;
        gap: 10px;
        justify-content: center;
        align-items: center;
    }

    .footer-subscribe-button-style {
        width: 100%;
    }

    .footer_main_child1 .child1_center ul li,
    .footer_main_child1 .child1_center ul li a,
    .footer_main_child1 .child1_right ul li,
    .footer_main_child1 .child1_right ul li a {
        font-size: 14px;
        line-height: 21px;
        text-align: left;
        margin-top: 8px;
    }


    .footer_main_parent2 .footer_main_child2 .paragraph {
        font-size: 12px;
        line-height: 21px;
        text-align: center;
    }

}